<!---
	/* ***************************************************************
	/*
	Author: 	Carlos Villarreal Mora
	Name:		$tweetBox.cfm
	Summary:	Uses the Twitter @Anywhere to render a Tweet Box
	History:
		2010-07-08 - CVM - Created
--->
<cfscript>
	request.element.isStatic = 0;
	items = attributes.elementInfo.elementData.propertyValues;
	if (arrayLen(items)) {
		values = items[1].values;
		
		//check if we need to add the Shortened URL
		if (len(values.includeLink)) {
			//build the URL
			longURL = 'http://' & cgi.server_name & cgi.script_name;
			if (len(cgi.query_string))
				longURL &= '?' & cgi.query_string;	
			
			//Shorten it using Bit.ly
			shortURL = application.twitter.twitterService.shortenURL(longURL);
			
			//determine max length of the default content
			maxLength = 140 - (len(shortURL) + 1);
			
			//trim the content
			values.defaultContent = trim(values.defaultContent);
			
			if (len(values.defaultContent) > maxLength)
				values.defaultContent = left(values.defaultContent, maxLength - 3) & '...'; 
			
			//Append it to the defaultContent
			values.defaultContent &= ' ' & shortURL;
		}
		
		//initialize Twitter's API
		application.twitter.scripts.loadTwitterJS();
	}
</cfscript>

<cfif isDefined("values")><cfoutput>
	<div id="tbox"></div>
	<script type="text/javascript">					
		twttr.anywhere(function (T) {
			//Call Twitter @Anywhere to create the Tweet Box
			T("##tbox").tweetBox({
				height: #values.height#, width: #values.width#</cfoutput>
				<cfif len(values.defaultContent)><cfoutput>
				, defaultContent: "#values.defaultContent#"</cfoutput>
				</cfif>
				<cfif len(values.label)><cfoutput>
				, label: "#values.label#"</cfoutput>
				</cfif>
				<!--- Un comment this area if you want to attach an event listener to the onTweet event	--->
				<!--- <cfoutput>
				onTweet: function(plain, html) {
					alert('Tweet Posted');
				}</cfoutput> --->
				<cfoutput>
			});
		});
	</script></cfoutput>
</cfif>